#pragma once

#include "rendertarget.hh"
#include "shaders.hh"


struct T_FXAAPass
{
	T_FXAAPass( ) = delete;
	T_FXAAPass( T_FXAAPass const& ) = delete;
	T_FXAAPass( T_FXAAPass&& ) = delete;

	T_FXAAPass( __rw__ T_Texture& input );

	void render( );
	void makeUI( );

    private:
	T_Texture& txInput_;
	T_ShaderPipeline program_;
	float parameters_[ 3 ];
};
